Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp3.jdk14
Interface EJBQuery

All Superinterfaces:
  Query

public interface EJBQuery
extends Query

PUBLIC: TopLInk specific EJB 3.0 query interface. Provides the functionality defined in oracle.toplink.sessions.entitymanager.Query and adds access to the underlying database query for TopLink specific functionality.

Method Summary
`DatabaseQuery` | `getDatabaseQuery()` PUBLIC: Return the cached database query for this EJBQueryImpl.
`EntityManager` | `getEntityManager()` PUBLIC: return the EntityManager for this query
`java.util.Collection` | `getResultCollection()` PUBLIC: Non-standard method to return results of a ReadQuery that has a containerPoliry that returns objects as a collection rather than a List
`void` | `setDatabaseQuery(DatabaseQuery query)` PUBLIC: Replace the cached query with the given query.

Methods inherited from interface oracle.toplink.sessions.entitymanager.Query
`executeUpdate, getResultList, getSingleResult, setFirstResult, setFlushMode, setHint, setMaxResults, setParameter, setParameter, setParameter, setParameter, setParameter, setParameter`

Method Detail

### getDatabaseQuery

    public DatabaseQuery getDatabaseQuery()

  PUBLIC: Return the cached database query for this EJBQueryImpl. If the query is a named query and it has not yet been looked up, the query will be looked up and stored as the cached query.

### getEntityManager

    public EntityManager getEntityManager()

  PUBLIC: return the EntityManager for this query

### getResultCollection

    public java.util.Collection getResultCollection()

  PUBLIC: Non-standard method to return results of a ReadQuery that has a containerPoliry that returns objects as a collection rather than a List
  Returns:
    Collection of results

### setDatabaseQuery

    public void setDatabaseQuery(DatabaseQuery query)

  PUBLIC: Replace the cached query with the given query.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD